Subject: Re: bug#7296: display-pixel-height not enough

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 01 Nov 2010 09:56:08 +0900

>>>>> On Mon, 1 Nov 2010 01:24:55 +0100, Lennart Borgman <[email-masked]> said:

> Could we, as a first step, do as Eli suggested, i.e. let
> display-pixel-height/width return the working area size instead of
> the total display size? Is there any reason not to do this now?

I'd rather suggest implementing "some of window manager emulations"
(i.e., shortening width/height if specified one exceeds available one,
and possibly maximized, fullwidth, and fullheight for the fullscreen
frame parameter) on W32 and seeing if the proposed function is still
necessary, before introducing incompatibility or new primitives.

				     YAMAMOTO Mitsuharu
				[email-masked]